<div style="padding-left: 10% ; margin-right: 5%;">
    <div class="card" style="margin-bottom: 5%;">
        <div class="card-body">
            <form #form="ngForm">
                <div class="row">
                    <div class="col">

                        <!-- Inicio nombre -->
                        <div>
                            <label for="nombre">*Nombre</label>
                            <input id="nombre" class="form-control" type="text" placeholder="Ingrese su nombre"
                                [(ngModel)]="usuario.nombre" #nombre="ngModel" name="nombre">
                        </div>
                        <!-- Fin nombre -->

                        <!-- Inicio Rut -->
                        <div>
                            <label for="rut" style="padding-top: 10%;">*Rut</label>
                            <input class="form-control" type="text" placeholder="12345678-1" [(ngModel)]="usuario.rut"
                                #rut="ngModel" name="rut">
                        </div>
                        <!-- Fin Rut -->

                        <!-- Inicio fecha nacimiento -->
                        <div>
                            <label for="fechaNacimiento" style="padding-top: 10%;">*Fecha de Nacimiento</label>
                            <input class="form-control" type="date" [(ngModel)]="paciente.fecha_de_nacimiento"
                                #fecha_nacimiento="ngModel" name="fecha_nacimiento">
                        </div>
                        <!-- Fin fecha nacimiento -->

                        <!-- Inicio Contraseña -->
                        <div>
                            <label for="contraseña" style="padding-top: 10%;">*Contraseña</label>
                            <div>
                                <input type="password" class="form-control" [(ngModel)]="usuario.pass" #pass="ngModel"
                                    name="pass" placeholder="********">
                            </div>
                        </div>
                        <!-- Fin Contraseña -->

                        <!-- Inicio repetir contraseña -->
                        <div>
                            <label for="repeContraseña" style="padding-top: 10%;">*Repetir contraseña</label>
                            <div>
                                <input #rePassword type="password" class="form-control" id="repeContraseña"
                                    placeholder="********">
                            </div>
                        </div>
                        <!-- Fin repetir contraseña -->

                    </div>
                    <div class="col">

                        <!-- Inicio apellidos -->
                        <div>
                            <label for="apellido">*Apellido</label>
                            <input #apellido id="apellido " class="form-control" type="text"
                                placeholder="Ingrese su apellido" [(ngModel)]="usuario.apellido" #apellido="ngModel"
                                name="apellido">
                        </div>
                        <!-- Fin apellido -->

                        <!-- comienzo genero -->
                        <div>
                            <label for="genero" style="padding-top: 10%;">*Genero</label>
                            <div>
                                <select [(ngModel)]="usuario.genero" #genero="ngModel" name="genero"
                                    class="form-control">
                                    <option value="Masculino">Masculino</option>
                                    <option value="Femenino">Femenino</option>
                                    <option value="Otro">Otro</option>
                                </select>
                            </div>
                        </div>
                        <!-- fin genero -->


                        <!-- Inicio correo -->
                        <div>
                            <label for="email" style="padding-top: 10%;">*Correo</label>
                            <input #email id="email" type="email" class="form-control" [(ngModel)]="usuario.correo"
                                #correo="ngModel" name="correo" placeholder="name@example.com">
                        </div>
                        <!-- Fin correo -->

                        <!-- Inicio numero de telefono -->
                        <div>
                            <label for="numeroTelefono" style="padding-top: 10%;">*Número de teléfono</label>
                            <input class="form-control" type="text" placeholder="987654321"
                                [(ngModel)]="usuario.telefono" #telefono="ngModel" name="telefono">
                        </div>
                        <!--  Fin numero de telefono -->
                    </div>


                </div>
                <br>
                <br>
                <!-- Inicio terminos y condiciones -->
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                    <label class="form-check-label" for="flexCheckDefault">
                        Acepto los <a href="#" class="card-link">Términos y condiciones</a>
                        y declaro ser mayor de edad.
                    </label>
                </div>
                <!-- fin termino y condiciones -->
                <br>
                <br>
                <!-- Inicio button de submit -->
                <div class="text-center">
                    <button (click)='registrar(form, rePassword.value)' type="submit"
                        class="btn btn-secondary">Registrarse</button>
                </div>

                <br>
                <div class="alert alert-success" role="alert" *ngIf="success">
                    {{message}}
                </div>
                <div class="alert alert-danger" role="alert" *ngIf="error">
                    {{message}}
                </div>

                <!-- Fin button de submit -->

                <!-- Inicio Regristre aqui -->
                <div class="text-center">
                    <label>
                        Si ya tienes una cuenta ingresa <a href="#" class="card-link">aqui</a>
                    </label>
                </div>
                <!-- Fin Regristre aqui -->
            </form>
        </div>
    </div>
</div>
